#!/bin/bash

# Install player support files.
# For console installer, this is done post installation on target system.
# For rpm and deb packages, this is done during package build time.

export ARG0=$0

POSTINST_DIR=${ARG0%/*}  # Delete trailing file name.
POSTINST_DIR=$( cd $POSTINST_DIR; pwd )
export POSTINST_DIR
pushd $POSTINST_DIR  > /dev/null

echo Executing packaging_time_postinst.sh...

## Idea: duplicate these operations in the hope that most files installed
## are registered with package manager properly (packaging time postinst) and
## installed to the system properly (the real postinst operation.)
## This will only work if the operations work/operate in the temp root directory,
## which is not the case now.

#./register_mime_types.sh
#./install_icon_resource.sh
#./install_menu.sh
##./install_icon_on_desktop.sh
#./install_gconf_settings.sh
#./install_moz_plugins.sh
#./install_locale_files.sh
#./install_fedora_selinux_workaround.sh
## Shouldn't be using system-wide symbolic link anymore.
#./install_system_wide_sym_links_non_LSB.sh
#./install_misc.sh

popd > /dev/null

